# Administration Reference

## uss bulk

Purpose

Executes multiple uss commands listed in a file

Synopsis

    uss bulk -file <bulk input file>  [-template <pathname of template file>]
             [-verbose]  [-cell <cell name>]
             [-admin <administrator to authenticate>] [-dryrun]
             [-skipauth]  [-overwrite]
             [-pwexpires <password expires in [0..254] days (0 => never)>]
             [-pipe]  [-help]

    uss b -f <bulk input file>  [-t <pathname of template file>]  [-v]
          [-c <cell name>]  [-a <administrator to authenticate>]  [-d]  [-s]
          [-o]  [-pw <password expires in [0..254] days (0 => never)>]
          [-pi]  [-h]

Description

The uss bulk command executes the uss commands listed in the bulk input file specified with the -file argument. If the bulk input file includes add instructions that reference a template file, then the -template argument is required.

To create a single account, use the uss add command. To delete one or more accounts, use the uss delete command.

Options

-file
  Specifies the pathname of the bulk input file. Partial pathnames are interpreted relative to the current working directory. For details on the file's format, see uss Bulk Input File.

-template
  Specifies the pathname of the template file for any uss add commands that appear in the bulk input file. Partial pathnames are interpreted relative to the current working directory. For details on the file's format, see uss Template File.

-verbose
  Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-cell
  Specifies the cell in which to run the command. For more details, see the introductory uss reference page.

-admin
  Specifies the AFS user name under which to establish authenticated connections to the AFS server processes that maintain the various components of a user account. For more details, see the introductory uss reference page.

-dryrun
  Reports actions that the command interpreter needs to perform while executing the command, without actually performing them. For more details, see the introductory uss reference page.

-skipauth
  Prevents authentication with the AFS Authentication Server, allowing a site using Kerberos to substitute that form of authentication.

-overwrite
  Overwrites any directories, files and links that exist in the file system and for which there are also D, E, F, L, or S instructions in a template file referenced by an add instruction in the bulk input file. If this flag is omitted, the command interpreter prompts, once for each add instruction in the bulk input file, for confirmation that it should overwrite such elements. Do not include this flag if the bulk input file does not contain add instructions.

-pwexpires
  Sets the number of days after a user's password is changed that it remains valid, for each user named by an add instruction in the bulk input file. Provide an integer from the range 1 through 254 to specify the number of days until expiration, or the value 0 to indicate that the password never expires (the default).

  When the password becomes invalid (expires), the user is unable to authenticate, but has 30 more days in which to issue the kpasswd command to change the password (after that, only an administrator can change it).

-pipe
  Suppresses the Authentication Server's prompt for the password of the issuer or the user named by the -admin argument (the Authentication Server always separately authenticates the creator of an entry in the Authentication Database). Instead, the command interpreter accepts the password via the standard input stream, as piped in from another program. This enables the uss bulk command to run as part of unattended batch jobs.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following example command executes the instructions in the bulk input file called new_students, which includes add instructions that refer to the template file student.template. Both files reside in the current working directory.

       % uss bulk new_students student.template

Privilege Required

The issuer (or the user named by the -admin argument) must have the privileges necessary to run the commands that correspond to instructions in the bulk input file.

Related Information

uss Bulk Input File

uss Template File

uss

uss add

uss delete

© IBM Corporation 2000. All Rights Reserved